name: SLH
variations: 0703, 0704, 1204, 1205, 1207
datasheet: https://datasheet.lcsc.com/lcsc/1810261033_Sunltech-Tech-SLH1207S330MTT_C181844.pdf
description: power inductor, SMD
keywords: inductor

schematic:
  symbol: inductor

housing@07: &07
  pattern: chip
  bodyLength: 7.3 # B
  bodyWidth: 7.3 # A
  leadWidth: 1.8 # D
  leadLength: 1.15 # (B-E)/2

housing@0703:
  <<: *07
  height: 3.5 # C

housing@0704:
  <<: *07
  height: 4.5 # C

housing@12: &12
  pattern: custom
  bodyLength: 12.0 # B
  bodyWidth: 12.0 # A
  leadWidth: 5.0 # D
  leadLength: 2.2 # (B-E)/2
  pitch: 10.0
  rowCount: 2
  columnCount: 1
  padWidth: 5.4
  padHeight: 2.9

housing@1204:
  <<: *12
  height: 5.0 # C

housing@1205:
  <<: *12
  height: 6.0 # C

housing@1207:
  <<: *12
  height: 8.0 # C
